%global py3_shbang_opts -sRu
Name:                linkchecker
%global commit  72b85c4e2d74fa2b3cf11fb452b8fc2736e8ebbf
Version:             9.4.0
Release:             8.72b85c4
Summary:             Check HTML documents for broken links
License:             GPLv2
URL:                 https://linkcheck.github.io/linkchecker/
Source0:             https://github.com/cjmayo/linkchecker/archive/%{commit}.tar.gz
Patch0000:           0001-drop-python-shebang-opts.patch
BuildRequires:       gcc gettext python3-devel python3-setuptools
BuildRequires:       python3dist(dnspython) python3dist(future) python3dist(pyxdg)
BuildRequires:       python3dist(requests) >= 2.4

%description
LinkChecker is a website validator. LinkChecker checks links in web documents or full websites.
Features:
- Recursive and multithreaded checking and site crawling
- Output in colored or normal text, HTML, SQL, CSV, XML or a sitemap graph in
different formats
- HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file links
support
- Restriction of link checking with regular expression filters for URLs
- Proxy support
- Username/password authorization for HTTP and FTP and Telnet
- Honors robots.txt exclusion protocol
- Cookie support
- HTML5 support
- HTML and CSS syntax check
- Antivirus check
- Different interfaces: command line, GUI and web interface
... and a lot more ...

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
%py3_build

%install
%py3_install
rm %{buildroot}%{_datadir}/applications/linkchecker.desktop
%find_lang linkchecker

%check
cd /
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{buildroot}%{_bindir}/linkchecker --help

%files -f linkchecker.lang
%doc doc/changelog.txt doc/upgrading.txt
%license COPYING
%{_bindir}/linkchecker
%{python3_sitearch}/linkcheck/
%{python3_sitearch}/_LinkChecker_configdata.py
%{python3_sitearch}/__pycache__/_LinkChecker_configdata.*.pyc
%{python3_sitearch}/LinkChecker-*-py%{python3_version}.egg-info/
%{_mandir}/man1/linkchecker*.1*
%{_mandir}/man5/linkcheckerrc.5*
%lang(de) %{_mandir}/de/man1/linkchecker*.1*
%lang(de) %{_mandir}/de/man5/linkcheckerrc.5*
%{_datadir}/linkchecker/

%changelog
* Sat Jul 18 2020 huanghaitao <huanghaitao8@huawei.com> - 9.4.0-8.72b85c4
- Upgrade to a python3 supported version

* Tue Jun 9 2020 leiju <leiju4@huawei.com> - 9.4.0-3
- Package init
